com.r3corda.node.serialization / NodeClock

# NodeClock

`class NodeClock : Clock, SerializeAsToken`

A Clock that tokenizes itself when serialized, and delegates to an underlying Clock implementation.

### Constructors

<init> | `NodeClock(delegateClock: Clock = Clock.systemUTC())` A Clock that tokenizes itself when serialized, and delegates to an underlying Clock implementation.

### Functions

getZone | `fun getZone(): ZoneId`
instant | `fun instant(): Instant`
toToken | `fun toToken(context: SerializeAsTokenContext): SerializationToken`
withZone | `fun withZone(zone: ZoneId): Clock`

### Extension Functions

awaitWithDeadline | `fun Clock.awaitWithDeadline(deadline: Instant, future: Future<*> = SettableFuture<Any>()): Boolean` Wait until the given Future is complete or the deadline is reached, with support for MutableClock implementations used in demos or testing. This will also substitute a Fiber compatible Future if required.